## START: Set by rpmautospec
## (rpmautospec version 0.3.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Name:           python-esbonio
Version:        0.16.4
Release:        %autorelease
Summary:        A Language Server for Sphinx projects
License:        MIT
URL:            https://github.com/swyddfa/esbonio
Source:         %{pypi_source esbonio}

BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  %{py3_dist websockets}

%global _description %{expand:
Esbonio aims to make it easier to work with reStructuredText tools such as
Sphinx by providing a Language Server to enhance your editing experience.}

%description %_description

%package -n     python3-esbonio
Summary:        %{summary}

%description -n python3-esbonio %_description

%pyproject_extras_subpkg -n python3-esbonio dev,test,typecheck

%prep
%autosetup -p1 -n esbonio-%{version}

sed -i '/types-appdirs/d' setup.cfg

%generate_buildrequires
%pyproject_buildrequires -x dev,test,typecheck

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files esbonio

%check
%pyproject_check_import

%files -n python3-esbonio -f %{pyproject_files}
%{_bindir}/esbonio
%{_bindir}/esbonio-sphinx

%changelog
* Sat Jan 13 2024 Packit <hello@packit.dev> - 0.16.4-1
- [packit] 0.16.4 upstream release

* Mon Jan 01 2024 topazus <topazus@outlook.com> - 0.16.3-1
- initial import; rhz#2256365
